<div class="row">
    <div class="col-md-12" id="btn-view-summary">
        <button class="btn btn-view-sum btn-sm float-right ml-3" (click)="ViewSummaryClicked()" >{{ SummaryLabels.Summary['View Summary'] }}</button>        
    </div>
</div>    
<ejs-grid #gridelement [dataSource]='SummaryResults?.content' id="dtc-statistics-grid">
    <e-columns>
        <e-column field='column' width='100' headerText="{{ SummaryLabels.Summary['Column'] }}"></e-column>
        <e-column field='min' width='100' headerText="{{ SummaryLabels.Summary['Minimum'] }}"></e-column>
        <e-column field='max' width='100' headerText="{{ SummaryLabels.Summary['Maximum'] }}"></e-column>
        <e-column field='unique_values' width='150' headerText="{{ SummaryLabels.Summary['Distinct'] }}"></e-column>
        <e-column field='null_count' width='200' headerText="{{ SummaryLabels.Summary['NullValues'] }}"></e-column>
        <e-column field='mean' width='100' headerText="{{ SummaryLabels.Summary['Average'] }}"></e-column>
        <e-column field='standard_dev' width='100' headerText="{{ SummaryLabels.Summary['Standard Deviation'] }}"> </e-column>
    </e-columns>
</ejs-grid>